org.apache.tools.ant.taskdefs

## Class XSLTProcess.TraceConfiguration

- java.lang.Object
- - org.apache.tools.ant.taskdefs.XSLTProcess.TraceConfiguration

- Enclosing class:
    XSLTProcess

      public final class XSLTProcess.TraceConfiguration
      extends java.lang.Object

  Configuration for Xalan2 traces.
  Since:
    Ant 1.8.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getElements()` True if the listener is to print events that occur as each node is 'executed' in the stylesheet.
    `boolean` | `getExtension()` True if the listener is to print information after each extension event.
    `boolean` | `getGeneration()` True if the listener is to print information after each result-tree generation event.
    `java.io.OutputStream` | `getOutputStream()` The stream to write traces to.
    `boolean` | `getSelection()` True if the listener is to print information after each selection event.
    `boolean` | `getTemplates()` True if the listener is to print an event whenever a template is invoked.
    `void` | `setElements(boolean b)` Set to true if the listener is to print events that occur as each node is 'executed' in the stylesheet.
    `void` | `setExtension(boolean b)` Set to true if the listener is to print information after each extension event.
    `void` | `setGeneration(boolean b)` Set to true if the listener is to print information after each result-tree generation event.
    `void` | `setSelection(boolean b)` Set to true if the listener is to print information after each selection event.
    `void` | `setTemplates(boolean b)` Set to true if the listener is to print an event whenever a template is invoked.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceConfiguration

          public TraceConfiguration()

  - ### Method Detail

    - #### setElements

          public void setElements(boolean b)

      Set to true if the listener is to print events that occur as each node is 'executed' in the stylesheet.
      Parameters:
        `b` - boolean

    - #### getElements

          public boolean getElements()

      True if the listener is to print events that occur as each node is 'executed' in the stylesheet.
      Returns:
        boolean

    - #### setExtension

          public void setExtension(boolean b)

      Set to true if the listener is to print information after each extension event.
      Parameters:
        `b` - boolean

    - #### getExtension

          public boolean getExtension()

      True if the listener is to print information after each extension event.
      Returns:
        boolean

    - #### setGeneration

          public void setGeneration(boolean b)

      Set to true if the listener is to print information after each result-tree generation event.
      Parameters:
        `b` - boolean

    - #### getGeneration

          public boolean getGeneration()

      True if the listener is to print information after each result-tree generation event.
      Returns:
        boolean

    - #### setSelection

          public void setSelection(boolean b)

      Set to true if the listener is to print information after each selection event.
      Parameters:
        `b` - boolean

    - #### getSelection

          public boolean getSelection()

      True if the listener is to print information after each selection event.
      Returns:
        boolean

    - #### setTemplates

          public void setTemplates(boolean b)

      Set to true if the listener is to print an event whenever a template is invoked.
      Parameters:
        `b` - boolean

    - #### getTemplates

          public boolean getTemplates()

      True if the listener is to print an event whenever a template is invoked.
      Returns:
        boolean

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

      The stream to write traces to.
      Returns:
        OutputStream